import java.io.*;
import com.idautomation.databar.*;
import com.idautomation.databar.encoder.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

public class DB1DTest extends JFrame  {

DataBar bc;	
BufferedImage image;


public DB1DTest() {

	// A simple example of barcoding in an application
	bc =  new DataBar();
	bc.setDataToEncode("a.	20012345678909");
	bc.setSize(400,200);
	
	image = new BufferedImage(200,200,BufferedImage.TYPE_INT_ARGB);
	Graphics2D g = image.createGraphics();
	bc.paint(g);

	ImageIcon icon = new ImageIcon(image);

	JLabel label = new JLabel(icon);
	JDialog jd = new JDialog(this,"Barcode Test");
	jd.getContentPane().add(label);
	jd.setSize(icon.getIconWidth()+10,icon.getIconHeight()+40);
	jd.show();


}

public static void main(String args[]) {
	DB1DTest db1d = new DB1DTest();
	db1d.show();
	}
}
